KNS::DownloadDialog Class Reference

`#include <downloaddialog.h>`

Inherits KDialogBase.

## Public Slots

void | slotProviders (Provider::List *list)

## Public Member Functions

| DownloadDialog (Engine *engine, QWidget *parent, const QString &caption)
| DownloadDialog (QWidget *parent, const QString &caption)
| ~DownloadDialog ()
void | setType (QString type)
void | load ()
void | setProviderList (const QString &providerList)
void | load (QString providerList)
void | addProvider (Provider *p)
void | addEntry (Entry *entry)
void | addEntry (Entry *entry, const QStringList &variants)
void | clear ()
| DownloadDialog (Engine *engine, QWidget *parent=0)
| DownloadDialog (QWidget *parent=0)
QPtrList< Entry > | installedEntries ()

## Static Public Member Functions

static void | open (const QString &type, const QString &caption)
static void | open (QString type) KDE_DEPRECATED

## Protected Slots

void | slotApply ()
void | slotOk ()

## Detailed Description

Common download dialog for data browsing and installation.

It provides an easy-to-use convenience method named open() which does all the work, unless a more complex operation is needed.

KNewStuff::DownloadDialog::open("kdesktop/wallpapers");

Author
  Josef Spillner (spill.nosp@m.ner@.nosp@m.kde.o.nosp@m.rg)

Maintainer:
  Josef Spillner (spill.nosp@m.ner@.nosp@m.kde.o.nosp@m.rg)

Definition at line 57 of file downloaddialog.h.

## Constructor & Destructor Documentation

DownloadDialog::DownloadDialog | ( | Engine * | engine,
|  | QWidget * | parent,
|  | const QString & | caption
| ) |  |

Constructor.

Parameters

  engine | a pre-built engine object, or NULL if the download dialog should create an engine on its own
  parent | the parent window
  caption | the dialog caption

Definition at line 123 of file downloaddialog.cpp.

DownloadDialog::DownloadDialog | ( | QWidget * | parent,
|  | const QString & | caption
| ) |  |

Alternative constructor.

Always uses an internal engine.

Parameters

  parent | the parent window
  caption | the dialog caption

Definition at line 130 of file downloaddialog.cpp.

DownloadDialog::~DownloadDialog | ( |  | ) |

Destructor.

Definition at line 156 of file downloaddialog.cpp.

DownloadDialog::DownloadDialog | ( | Engine * | engine,
|  | QWidget * | parent = `0`
| ) |  |

Constructor.

Parameters

  engine | a pre-built engine object, or NULL if the download dialog should create an engine on its own
  parent | the parent window

Definition at line 100 of file downloaddialog.cpp.

DownloadDialog::DownloadDialog | ( | QWidget * | parent = `0` | ) |

Alternative constructor.

Always uses an internal engine.

Parameters

  parent | the parent window

Definition at line 107 of file downloaddialog.cpp.

## Member Function Documentation

void DownloadDialog::addEntry | ( | Entry * | entry | ) |

Adds an additional entry to the current provider.

This is normally done internally.

Parameters

  entry | a Hotstuff data entry to be added

Definition at line 448 of file downloaddialog.cpp.

void DownloadDialog::addEntry | ( | Entry * | entry,
|  | const QStringList & | variants
| ) |  |

Adds an additional entry to the current provider.

This is normally done internal. This version takes into accounts the download variant.

Parameters

  entry | a Hotstuff data entry to be added
  variants | all variants this entry is intended for

Definition at line 411 of file downloaddialog.cpp.

void DownloadDialog::addProvider | ( | Provider * | p | ) |

Adds another provider to the download dialog.

This is normally done internally.

Parameters

  p | the Hotstuff provider to be added

Definition at line 215 of file downloaddialog.cpp.

void DownloadDialog::clear | ( |  | ) |

Clears the entry list of the current provider.

This is normally done internally.

Definition at line 175 of file downloaddialog.cpp.

QPtrList< Entry > DownloadDialog::installedEntries | ( |  | ) |

Returns the list of installed data entries.

Returns
  list of data entries which have been installed

Definition at line 875 of file downloaddialog.cpp.

void DownloadDialog::load | ( |  | ) |

Fetches descriptions of all available data, optionally considering a previously set type.

Definition at line 165 of file downloaddialog.cpp.

void DownloadDialog::load | ( | QString | providerList | ) |

Fetches descriptions of all available data, optionally considering a previously set type.

Parameters

  providerList | the URl to the list of providers; if empty we first try the ProvidersUrl from KGlobal::config, then we fall back to a hardcoded value.

Definition at line 170 of file downloaddialog.cpp.

void DownloadDialog::open | ( | const QString & | type,
|  | const QString & | caption
| ) |  |

static

Opens the download dialog.

This is a convenience method which automatically sets up the dialog.

See also
  setType()
  load()

Parameters

  type | a data type such as "korganizer/calendar"
  caption | the dialog caption

Definition at line 861 of file downloaddialog.cpp.

void DownloadDialog::open | ( | QString | type | ) |

static

Opens the download dialog.

This is a convenience method which automatically sets up the dialog.

See also
  setType()
  load()

Parameters

  type | a data type such as "korganizer/calendar"

Deprecated:
  use open( const QString& type, const QString& caption );

Definition at line 114 of file downloaddialog.cpp.

void DownloadDialog::setProviderList | ( | const QString & | providerList | ) |

Explicitly uses this provider list instead of the one read from the application configuration.

Parameters

  providerList | the URL of the provider list

Since
  3.4

Definition at line 848 of file downloaddialog.cpp.

void DownloadDialog::setType | ( | QString | type | ) |

Restricts the display of available data to a certain data type.

Parameters

  type | a Hotstuff data type such as "korganizer/calendar"

Definition at line 843 of file downloaddialog.cpp.

void DownloadDialog::slotProviders | ( | Provider::List * | list | ) |

slot

Availability of the provider list.

Parameters

  list | list of Hotstuff providers

Definition at line 197 of file downloaddialog.cpp.

The documentation for this class was generated from the following files:

- downloaddialog.h
- downloaddialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys